package cocoon;

import java.awt.*;
import java.awt.geom.*;

import visual.statik.described.*;

/**
 * The abstract parent of all Caterpillar classes.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class Cocoon extends AggregateContent
{
  private Color dark, light;
  private BasicStroke stroke;
  
  /**
   * Explicit Value Constructor.
   * 
   * @param x  The x-coordinate
   * @param y The y-coordinate
   * @param xOffset   The "slope" to use
   */
  public Cocoon(double x, double y, double xOffset)
  {
    dark = new Color(145, 124, 111);
    light = new Color(227, 227, 219);
    stroke = new BasicStroke(2.0f);
    Content line = new Content(new Line2D.Double(x+10, y, x+10, y+10.0), dark, dark, stroke);
    add(line);
    
    for (int i=0; i<8; i++)
    {
      Content circle = new Content(new Ellipse2D.Double(x+i*xOffset, y+10.0+i*10.0, 20, 20), dark, dark, stroke);
      Content highlight = new Content(new Ellipse2D.Double(x+i*xOffset, y+20.0+i*10.0, 5.0, 5.0), light, light, null);
      add(circle);
      add(highlight);
    }
  }
}
