package firstflight;
import java.awt.geom.Point2D;

import io.*;
import visual.dynamic.described.*;
import visual.statik.sampled.*;


/**
 * The opening credits.
 * 
 * @author Prof. David Bernstein, James Madison University
 * @version 1.0
 */
public class Title extends SampledSprite
{
  /**
   * Default Constructor.
   */
  public Title()
  {
    super();

    ResourceFinder finder  = ResourceFinder.createInstance(resources.Marker.class);        
    ContentFactory factory = new ContentFactory(finder);

    Content content = factory.createContent("title.png");

    addKeyTime(   0, new Point2D.Double(0.0, 0.0), Double.valueOf(0.0), Double.valueOf(1.0), content);
    addKeyTime(4000, new Point2D.Double(0.0, 0.0), Double.valueOf(0.0), Double.valueOf(1.0), null);

    setEndState(REMOVE);
  }

}